%define rname OpenEXR 

Name: openexr
Version: 1.2.2
Release: alt0.M24.2

Group: System/Libraries
Summary: A high-dynamic-range image file library
License: Modified BSD
URL: http://www.openexr.org/

Provides: %rname = %version-%release
Obsoletes: %rname <= %version-%release

Source: http://savannah.nongnu.org/download/openexr/%rname-%version.tar.gz

# Automatically added by buildreq on Mon Sep 27 2004 (-bi)
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: libGLU-devel libfltk-devel libstdc++-devel zlib-devel
#BuildRequires: python-base python-modules-compiler python-modules-encodings rpm-build-python

%description
OpenEXR is an image file format and library developed by Industrial Light
& Magic, and later released to the public. It provides support for high
dynamic range and a 16-bit floating point "half" data type which is
compatible with the half data type in the Cg programming language.

%package utils
Group: Graphics
Summary: Utilites for EXR-files
Requires: %name = %version-%release
#
%description utils
This package contains utilites for %name

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/Other
Requires: %name = %version-%release
#
%description devel
This package contains the static libraries and header files needed for
developing applications with %name

%prep
%setup -q -n %rname-%version

%build
%configure \
  --enable-shared \
  --disable-static \
  --enable-imfexamples
#  --disable-dependency-tracking \

%make_build

%install
%make DESTDIR=%buildroot install
rm -rf ./installed-docs
ln -sf %buildroot/%_docdir/%rname-%version ./installed-docs

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%_libdir/*.so.*

%files utils
%doc AUTHORS ChangeLog COPYING
%_bindir/*

%files devel
%doc AUTHORS ChangeLog COPYING
%doc installed-docs/*
%doc doc/*.pdf
%_includedir/%rname
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/aclocal/%name.m4


%changelog
* Sat Oct 22 2005 Igor Vlasenko <viy@altlinux.ru> 1.2.2-alt0.M24.2
- backport to M24

* Thu Aug 25 2005 Sergey V Turchin <zerg at altlinux dot org> 1.2.2-alt1
- new version
- split utils to separate package

* Mon Sep 27 2004 Sergey V Turchin <zerg at altlinux dot org> 1.2.1-alt1
- initial spec

